[1.15.3] HTTPS Feeds with TLS don't work

If you run tt-rss on an officially unsupported platform (shared hosting, Windows, etc.) post here
foo_mep2
Bear Rating Trainee
Bear Rating Trainee
Posts: 11
Joined: 06 Dec 2013, 00:34

[1.15.3] HTTPS Feeds with TLS don't work

Postby foo_mep2 » 23 Jan 2015, 15:44

Last edited by foo_mep2 on 26 Jan 2015, 11:32, edited 1 time in total.

User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: [1.9] HTTPS Feeds with TLS don't work anymore

Postby fox » 23 Jan 2015, 19:23

sorry about your broken shit curl or w/e it works for me fine

foo_mep2
Bear Rating Trainee
Bear Rating Trainee
Posts: 11
Joined: 06 Dec 2013, 00:34

Re: [1.9] HTTPS Feeds with TLS don't work anymore

Postby foo_mep2 » 23 Jan 2015, 23:44


foo_mep2
Bear Rating Trainee
Bear Rating Trainee
Posts: 11
Joined: 06 Dec 2013, 00:34

Re: [1.9] HTTPS Feeds with TLS don't work anymore

Postby foo_mep2 » 25 Jan 2015, 21:14

which version of openssl is requisite for ssl feeds?
maybe my hoster can update openssl for me :)

JustAMacUser
Bear Rating Overlord
Bear Rating Overlord
Posts: 373
Joined: 20 Aug 2013, 23:13

Re: [1.9] HTTPS Feeds with TLS don't work anymore

Postby JustAMacUser » 25 Jan 2015, 21:22

A similar error to what you described came up in a quick Google search for version 0.9.8. But it would be helpful to know which OS you're running. It's possible that the version of OpenSSL is the highest one the developers provide (only backporting security updates, for example).

Does this particular feed require SSL? Is it an authenticated feed (username and password)?

Provide some of that info and let's go from there.

foo_mep2
Bear Rating Trainee
Bear Rating Trainee
Posts: 11
Joined: 06 Dec 2013, 00:34

Re: [1.15.3] HTTPS Feeds with TLS don't work

Postby foo_mep2 » 26 Jan 2015, 11:42


Athanasius
Bear Rating Trainee
Bear Rating Trainee
Posts: 38
Joined: 02 Apr 2013, 21:01

Re: [1.15.3] HTTPS Feeds with TLS don't work

Postby Athanasius » 26 Jan 2015, 16:04

OpenSSL 0.9.8o won't work for hetzel.net - checked using https://www.ssllabs.com/ssltest/analyze ... .28.11.114 it says "OpenSSL 0.9.8y Protocol or cipher suite mismatch" (NB: note the footnote points out that a browser might still succeed if it tries other settings subsequently).

It's likely a result of hetzel.net tightening up their SSL settings in response to recent security vulnerabilities and recommendations.

Your only real solution is to get your provider to upgrade the OpenSSL lib (or tell you how to use a later one they do already have installed), or move provider.

I suspect your other problematic feed will show similar results but haven't checked.

User avatar
ZeGuigui
BANNED_USERS
BANNED_USERS
Posts: 19
Joined: 15 Mar 2013, 17:30
Location: In the cloud!
Contact:

Re: [1.15.3] HTTPS Feeds with TLS don't work

Postby ZeGuigui » 26 Jan 2015, 17:07

(i'm a spammer and a bad person)

foo_mep2
Bear Rating Trainee
Bear Rating Trainee
Posts: 11
Joined: 06 Dec 2013, 00:34

Re: [1.15.3] HTTPS Feeds with TLS don't work

Postby foo_mep2 » 28 Jan 2015, 23:32


JustAMacUser
Bear Rating Overlord
Bear Rating Overlord
Posts: 373
Joined: 20 Aug 2013, 23:13

Re: [1.15.3] HTTPS Feeds with TLS don't work

Postby JustAMacUser » 29 Jan 2015, 07:04

Probably out of luck. This isn't a case of trusting a certificate, it's about the two machines speaking the same language.

You could always get a cheap VPS. Then you'd be able to control the software, libraries, etc. on it.

foo_mep2
Bear Rating Trainee
Bear Rating Trainee
Posts: 11
Joined: 06 Dec 2013, 00:34

Re: [1.15.3] HTTPS Feeds with TLS don't work

Postby foo_mep2 » 31 Jan 2015, 22:16

ok. thank you for help.


Return to “Unsupported platforms”

Who is online

Users browsing this forum: No registered users and 1 guest